package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "convtable" database table.
 * 
 */
@Entity
@Table(name="\"convtable\"")
@NamedQuery(name="Convtable.findAll", query="SELECT c FROM Convtable c")
public class Convtable implements Serializable {
	private static final long serialVersionUID = 1L;

	@Column(name="\"ckey\"")
	private Integer ckey;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"value\"")
	private String value;

	public Convtable() {
	}

	public Integer getCkey() {
		return this.ckey;
	}

	public void setCkey(Integer ckey) {
		this.ckey = ckey;
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}